<?php 
/*
Plugin Name: tinymce_add_styles
Plugin URI: http://www.it-in-a-box.com/
Description: add styles to tinymce
Author: Norbert Felgendreher
Version: 1.0
Author URI: http://www.it-in-a-box.com/ 
*/

if ( !class_exists( 'tinymce_add_styles' ) ) {
	class tinymce_add_styles {
		function tinymce_add_styles() {
			add_action( 'admin_head',array(&$this, 'tinymce_add_styles_init'));
		}
		function tinymce_add_styles_init() {
			if (get_user_option('rich_editing') == 'true') {
				add_filter('tiny_mce_before_init',array(&$this,'nf_add_styles'));
			}
		}
		public function nf_add_styles ($initArray) {
			$initArray['theme_advanced_font_sizes'] = "8px=8px,10px=10px,12px=12px,14px=14px,18px=18px,24px=24px,36px=36px";
			$initArray['theme_advanced_styles'] ="Überschrift_gross=kiju_sub_36,Überschrift_mittel=kiju_sub_24,Überschrift_klein=kiju_sub_18,Fliesstext=kiju_fliess";
			$nf_stylesheet=plugins_url().'/tinymce_add_styles/stylesheets/editor-style.css';
			if (array_key_exists('content_css', $initArray) && !empty($initArray['content_css'])) $initArray['content_css'].=",".$nf_stylesheet;
			else $initArray['content_css'] = $nf_stylesheet;
		return $initArray;
		}
	}
	$tinymce_add_styles = new tinymce_add_styles();	
 }

